Subject: bug#26952: 25.1; loops eating all memory while yanking big rectangle

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 May 2017 19:10:48 +0300

> From: [email-masked]
> Cc: Paul Eggert <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 21 May 2017 12:00:00 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I cannot see why.  AFAIK, the only difference between using the hybrid
> > allocation and not using it is before Emacs is dumped; after that both
> > use the same system malloc.
> 
> I was under the impression that it's just the opposite: master is using
> hybrid malloc which means to use system malloc *after* dumping, and
> emacs-25 is using the custom non-system malloc *after* dumping.

By "custom non-system malloc" do you mean gmalloc.c?  Is there
src/gmalloc.o in the build directory?  (I don't have access to a
system when this happens, my GNU/Linux build doesn't have
src/gmalloc.o.)  Does enlarge_buffer_text eventually calls into
gmalloc.c in the problematic build?

I thought we moved to system malloc in Emacs 25.2, and that was my
reading of configure, but maybe I'm confused.